using UnityEngine;
using System.Collections;

public class MouseSensitivityPill : Pill {

	private float rotateTime = 3.0f;
	private float timeLeft;
	
	private float targetAngle;
	
	private Camera camera;
	
	public override void attach(World world, Camera camera, Owl owl) {
		this.camera = camera;
		camera.GetComponent<OwlCamera>().moveSpeed *= 7.0f;
	}
	
	public override void update(float dt, float totalTimeLeft) {
	}
	
	public override Color getColor() {
		return Color.red;
	}

	public override void destroy() {
		camera.GetComponent<OwlCamera>().moveSpeed /= 7.0f;
	}
}
